from sklearn.ensemble import AdaBoostClassifier

class AdaBoost:
    def __init__(self, n_estimators=50, learning_rate=1.0, random_state=42):
        self.model = AdaBoostClassifier(n_estimators=n_estimators, learning_rate=learning_rate, random_state=random_state)

    def fit(self, X, y):
        self.model.fit(X, y)

    def predict(self, X):
        return self.model.predict(X)
